<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Track" File Injection Detection                      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.4 / January 2019

*/

define('CPO', true);
define('TRACKEDIT', true);
require_once('../_include/checkaccess.inc.php'); 

$directory = basename(dirname($_SERVER['PHP_SELF'])); 

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('File injection detection'),
    __('In this view you can detect file changes.')
);
include(CPO_BASEDIR.'_include/message.php');
include(CPO_BASEDIR.$activeModules['track']['directory'].'/producer.inc.php');



// Track-Daten in Tabelle schreiben
if ($_REQUEST['action'] == 'update') {
	listTrackFiles(substr(CPO_BASEDIR,0,-1),true,true,true);
	include(CPO_BASEDIR.'_include/message.php');
}

echo __('Last check:').' '.(($trackLastUpdate) ? date('d.m.Y H:i',$trackLastUpdate) : __('never')) .'<br /> <br />';

$activeModules['track']['reportItems'] = 'all';
include(CPO_BASEDIR.$activeModules['track']['directory'].'/track.inc.php');
include(CPO_BASEDIR.'_include/message.php');
echo nl2br($trackOutput);


echo '<br /> <br /><a href="'.BASE_ABS.$GLOBALS['modules']['track']['directory'].'/edit.php?action=update"><img src="'.SKIN_URL.'pic_move.gif" title="'.__('Update database').'" alt="'.__('Update database').'"> '.__('Update database').'</a><br /> <br /> <br />';


require(CPO_BASEDIR.'_include/footer.php');
?>
