<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Track" File Injection Detection                      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.4 / January 2019

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['track'] as $k=>$v) {
        if (!isset($_POST['cpoTrackNew'][$k])) continue;
        if (is_bool($activeModules['track'][$k])) {
            $activeModules['track'][$k] = (bool) $_POST['cpoTrackNew'][$k];
        } else {
			$activeModules['track'][$k] = $_POST['cpoTrackNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoTrackNew'])) unset($new_settings['cpoTrackNew'][$k]);
    }
    foreach ($new_settings['cpoTrackNew'] as $k=>$v) {
		$activeModules['track'][$k] = $new_settings['cpoTrackNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['track'])),
			'track'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('File injection detection'),
    __('In this view you can work on the track module settings.')
);
include(CPO_BASEDIR.'_include/message.php');
include(CPO_BASEDIR.$activeModules['track']['directory'].'/producer.inc.php');

if(array_key_exists('track', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';
	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('Track module settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Excluded filetypes:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoTrackNew[filetypes]" value="'.$activeModules['track']['filetypes'].'" size="20" maxlength="255"><br />'.__('Separated by semicolon (;)');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Excluded directories:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoTrackNew[excludedDirs]" value="'.$activeModules['track']['excludedDirs'].'" size="20" maxlength="255"><br />'.__('Separated by semicolon (;)');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Maximum filesize:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoTrackNew[maxFileSize]" value="'.$activeModules['track']['maxFileSize'].'" size="20" maxlength="255"><br />'.__('reduce maximum filesize if you encounter errors');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Notification:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoTrackNew[notification]">';
		$sel_off = ($activeModules['track']['notification'] == 0) ? ' selected="selected"' :'';
		$sel_5  = ($activeModules['track']['notification'] == 300) ? ' selected="selected"' :'';
		$sel_15 = ($activeModules['track']['notification'] == 900) ? ' selected="selected"' :'';
		$sel_h = ($activeModules['track']['notification'] == 3600) ? ' selected="selected"' :'';
		$sel_d = ($activeModules['track']['notification'] == 86400) ? ' selected="selected"' :'';
		$sel_w = ($activeModules['track']['notification'] == 604800) ? ' selected="selected"' :'';
		echo '<option value="0"'.$sel_off.'>'.__('off').'</option>';
		echo '<option value="300"'.$sel_5.'>'.__('5 minutes').'</option>';
		echo '<option value="900"'.$sel_15.'>'.__('15 minutes').'</option>';
		echo '<option value="3600"'.$sel_h.'>'.__('hourly').'</option>';
		echo '<option value="86400"'.$sel_d.'>'.__('daily').'</option>';
		echo '<option value="604800"'.$sel_w.'>'.__('weekly').'</option>';
		echo '</select>';
		echo '<br />';
		echo '<select name="cpoTrackNew[reportItems]">';
		$sel_changed = ($activeModules['track']['reportItems'] == 'changed') ? ' selected="selected"' :'';
		$sel_all  = ($activeModules['track']['reportItems'] == 'all') ? ' selected="selected"' :'';
		echo '<option value="changed"'.$sel_changed.'>'.__('changed files only').'</option>';
		echo '<option value="all"'.$sel_all.'>'.__('changed, new and deleted files').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Recipient:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoTrackNew[recipient]" value="'.$activeModules['track']['recipient'].'" size="20" maxlength="255"><br />';
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';

	
	echo '</form>';

}
require(CPO_BASEDIR.'_include/footer.php');
?>
